Skip to main content

List user channel tags

Query all channel tags created by a specified user, including tag IDs, names, and creation times.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/user/channel/tag/list

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

The request body is in application/json format and supports the following parameters:

ParameterTypeRequiredDescription
userIdStringYesThe user ID.

Request example

HTTP
POST /v4/user/channel/tag/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{"userId":"testUserId"}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.
result.userIdStringUser ID.
result.tagsObject[]Tag list.
result.tags[].tagIdStringTag ID. Unique identifier, max 10 characters.
result.tags[].tagNameStringTag display name, max 15 characters.
result.tags[].createdAtNumberTag creation timestamp (milliseconds).

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"userId": "testUserId",
"tags": [
{
"tagId": "tag1",
"tagName": "Tag 1",
"createdAt": 1756092138000
},
{
"tagId": "tag2",
"tagName": "Tag 2",
"createdAt": 1756092157000
}
]
}
}